summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2010-01-21 05:57:09 +0000
committerMike Frysinger <vapier@gentoo.org>2010-01-21 05:57:09 +0000
commit413a31f3ccd0e1cb30e2e18d98f95c4c2663aa0f (patch)
treeb49f90ec1ec2541f8495e6e8166038b4361a45ee /eclass/qt4-build.eclass
parentVersion bumps. (diff)
downloadhistorical-413a31f3ccd0e1cb30e2e18d98f95c4c2663aa0f.tar.gz
historical-413a31f3ccd0e1cb30e2e18d98f95c4c2663aa0f.tar.bz2
historical-413a31f3ccd0e1cb30e2e18d98f95c4c2663aa0f.zip
add a die check to the tar unpacking step
Diffstat (limited to 'eclass/qt4-build.eclass')
-rw-r--r--eclass/qt4-build.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/qt4-build.eclass b/eclass/qt4-build.eclass
index a46abbd7b922..69b7de9c10e2 100644
--- a/eclass/qt4-build.eclass
+++ b/eclass/qt4-build.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.61 2010/01/17 20:28:17 abcd Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.62 2010/01/21 05:57:09 vapier Exp $
# @ECLASS: qt4-build.eclass
# @MAINTAINER:
@@ -121,7 +121,7 @@ qt4-build_src_unpack() {
done
echo tar xzpf "${DISTDIR}"/${MY_P}.tar.gz ${targets}
- tar xzpf "${DISTDIR}"/${MY_P}.tar.gz ${targets}
+ tar xzpf "${DISTDIR}"/${MY_P}.tar.gz ${targets} || die
}
# @ECLASS-VARIABLE: PATCHES